# RoleAssignments Object

> Source: https://truto.one/docs/api-reference/unified-user-directory-api/roleassignments/

Schema for the `RoleAssignments` resource in **Unified User Directory API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for a role assignment
- **`user_id`** _(string)_
  The unique identifier for a user who the role is assigned to
- **`group_id`** _(string)_
  The unique identifier for a group the role is assigned to
- **`group_type`** _(string)_
  The type of the group the role is assigned to
  Allowed: `product`, `group`, `team`
- **`role_id`** _(string)_
  The unique identifier for a role
- **`workspace`** _(array<string>)_
  The unique identifier for a workspace the assignment is applicable in
- **`created_at`** _(string)_
  The date and time of the role assignment was created
- **`updated_at`** _(string)_
  The date and time of the role assignment was updated
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/user-directory/role_assignments](/docs/api-reference/unified-user-directory-api/roleassignments/list) — List Role assignments
- [GET /unified/user-directory/role_assignments/{id}](/docs/api-reference/unified-user-directory-api/roleassignments/get) — Get Role assignments
- [DELETE /unified/user-directory/role_assignments/{id}](/docs/api-reference/unified-user-directory-api/roleassignments/delete) — Delete Role assignments
